Subject: Re: [Pce] Suresh Krishnan's Discuss on draft-ietf-pce-association-diversity-12: (with DISCUSS and COMMENT)

From: Mahend Negi <[email-masked]>
Date: Thu, 19 Dec 2019 21:41:16 +0530

Hi Suresh,

Thanks for the review, all the comments are addressed in new version.

New version:
https://tools.ietf.org/html/draft-ietf-pce-association-diversity-13
https://datatracker.ietf.org/doc/html/draft-ietf-pce-association-diversity-13

Diff:
https://www.ietf.org/rfcdiff?url2=draft-ietf-pce-association-diversity-13

Regards,
Mahendra

On Thu, Oct 31, 2019 at 8:59 AM Suresh Krishnan via Datatracker <
[email-masked]> wrote:

> Suresh Krishnan has entered the following ballot position for
> draft-ietf-pce-association-diversity-12: Discuss
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-pce-association-diversity/
>
>
>
> ----------------------------------------------------------------------
> DISCUSS:
> ----------------------------------------------------------------------
>
> * Section 5.3:
>   Given the fairly relaxed handling of multiple OF-codes ("the receiver
> MUST
>   consider the first OF-code only and ignore others if included") I think
> the
>   error handling as specified in
>
> "the OF-code inside the OF Object MUST include one of the disjoint OFs
> defined
> in this document. If this condition is not met, the PCEP speaker MUST..."
>
> needs to be tightened a bit since all the OF-codes but the first are
> ignored
> for processing but still considered for error handling. Suggest something
> like
> this
>
> OLD:
> the OF-code inside the OF Object MUST include one of the disjoint OFs
> defined
> in this document.
>
> NEW:
> the first OF-code inside the OF Object MUST be one of the disjoint OFs
> defined
> in this document.
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> Looks like the placeholder TBD8 is being used for two totally different
> purposes (a new bit in the NO-PATH-VECTOR TLV and the Error-value for
> DISJOINTNESS-CONFIGURATION-TLV missing) and this is confusing. Please
> deconflict.
>
>
>